[package]
name = "nu_plugin_hashes"
description = "A Nushell plugin that adds 63 cryptographic hash functions from Hashes project"
keywords = [
    "nu",
    "plugin",
    "hash",
]
categories = ["algorithms"]
repository = "https://github.com/ArmoredPony/nu_plugin_hashes"
license = "MIT"
version = "0.109.1"
edition = "2024"

[features]
default = [
    "ascon-hash",
    "belt-hash",
    "blake2",
    "blake3",
    "fsb",
    "gost94",
    "groestl",
    "jh",
    "md2",
    "md4",
    "ripemd",
    "sha1",
    "sha2",
    "sha3",
    "shabal",
    "skein",
    "sm3",
    "streebog",
    "tiger",
    "whirlpool",
]

[dependencies]
nu-cmd-base = "0.109.1"
nu-plugin = "0.109.1"
nu-protocol = "0.109.1"
digest = "0.10.7"

[dependencies.ascon-hash]
version = "0.3.1"
optional = true

[dependencies.belt-hash]
version = "0.1.1"
optional = true

[dependencies.blake2]
version = "0.10.6"
optional = true

[dependencies.blake3]
version = "1.8.2"
optional = true
default-features = false
features = [
    "std",
    "traits-preview",
]

[dependencies.fsb]
version = "0.1.3"
optional = true

[dependencies.gost94]
version = "0.10.4"
optional = true

[dependencies.groestl]
version = "0.10.1"
optional = true

[dependencies.jh]
version = "0.1.0"
optional = true

[dependencies.md2]
version = "0.10.2"
optional = true

[dependencies.md4]
version = "0.10.2"
optional = true

[dependencies.ripemd]
version = "0.1.3"
optional = true

[dependencies.sha1]
version = "0.10.6"
optional = true

[dependencies.sha2]
version = "0.10.9"
optional = true

[dependencies.sha3]
version = "0.10.8"
optional = true

[dependencies.shabal]
version = "0.4.1"
optional = true

[dependencies.skein]
version = "0.1.1"
optional = true

[dependencies.sm3]
version = "0.4.2"
optional = true

[dependencies.streebog]
version = "0.10.2"
optional = true

[dependencies.tiger]
version = "0.2.1"
optional = true

[dependencies.whirlpool]
version = "0.10.4"
optional = true

[build-dependencies]
digest = "0.10.7"

[build-dependencies.ascon-hash]
version = "0.3.1"
optional = true

[build-dependencies.belt-hash]
version = "0.1.1"
optional = true

[build-dependencies.blake2]
version = "0.10.6"
optional = true

[build-dependencies.blake3]
version = "1.8.2"
optional = true
default-features = false
features = [
    "std",
    "traits-preview",
]

[build-dependencies.fsb]
version = "0.1.3"
optional = true

[build-dependencies.gost94]
version = "0.10.4"
optional = true

[build-dependencies.groestl]
version = "0.10.1"
optional = true

[build-dependencies.jh]
version = "0.1.0"
optional = true

[build-dependencies.md2]
version = "0.10.2"
optional = true

[build-dependencies.md4]
version = "0.10.2"
optional = true

[build-dependencies.ripemd]
version = "0.1.3"
optional = true

[build-dependencies.sha1]
version = "0.10.6"
optional = true

[build-dependencies.sha2]
version = "0.10.9"
optional = true

[build-dependencies.sha3]
version = "0.10.8"
optional = true

[build-dependencies.shabal]
version = "0.4.1"
optional = true

[build-dependencies.skein]
version = "0.1.1"
optional = true

[build-dependencies.sm3]
version = "0.4.2"
optional = true

[build-dependencies.streebog]
version = "0.10.2"
optional = true

[build-dependencies.tiger]
version = "0.2.1"
optional = true

[build-dependencies.whirlpool]
version = "0.10.4"
optional = true

[dev-dependencies.nu-plugin-test-support]
version = "0.109.1"
path = "../nushell/crates/nu-plugin-test-support"

[profile.release]
strip = true
lto = true
codegen-units = 1
